﻿Imports System.Drawing.Drawing2D

Public Class Lines
   Inherits Shape

#Region "CLASS MULTILINES"

#Region "MultiLines Private Variables"

   Private ReadOnly _e As PaintEventArgs
   Private ReadOnly _penData As PenData
   Private ReadOnly _coordinates As Point()

#End Region

#Region "Lines Properties"

   Default Public ReadOnly Property Test(e As PaintEventArgs, linesPenData As PenData, linesCoords As Point()) As Lines
      Get
         Return New Lines()
      End Get
   End Property
   
   Public Property LinesCaps As Boolean = True


#End Region

#Region "MultiLines Constructors"

   Public Sub New()
   End Sub

   Public Sub New(e As PaintEventArgs, penData As PenData, coordinates As Point())

      _e = e
      _penData = penData
      _coordinates = coordinates

      DrawMultiLines(_e, _penData, _coordinates)

   End Sub

#End Region

#Region "MultiLines Functions"
   Public Function DrawMultiLines(e As PaintEventArgs, penData As PenData, coordinates As Point()) As PaintEventArgs

      Dim linesPen As Pen
      linesPen = GeneratePen (penData)
        
      e.Graphics.DrawLines(linesPen, coordinates)

      linesPen.Dispose()
      Return e
   End Function

#End Region

#End Region

End Class